Package org.eclipse.ecf.provider.generic

# Class SOContainerConfig

java.lang.Object
org.eclipse.ecf.provider.generic.SOContainerConfig

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IIdentifiable`, `ISharedObjectContainerConfig`

public class SOContainerConfig extends Object implements ISharedObjectContainerConfig

## Constructor Summary

Constructors
Constructor
Description
`SOContainerConfig(ID id)`
`SOContainerConfig(ID id, Map props)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdapter(Class clazz)`
`ID`
`getID()`
Return the ID for this 'identifiable' object.
`Map`
`getProperties()`
The properties associated with the owner ISharedObjectContainer

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SOContainerConfig

public SOContainerConfig(ID id, Map props)

### SOContainerConfig

public SOContainerConfig(ID id)

## Method Details

### getProperties

public Map getProperties()
Description copied from interface: `ISharedObjectContainerConfig`
The properties associated with the owner ISharedObjectContainer

Specified by:
  `getProperties` in interface `ISharedObjectContainerConfig`
Returns:
  Map the properties associated with owner ISharedObjectContainer

### getAdapter

public Object getAdapter(Class clazz)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getID

public ID getID()
Description copied from interface: `IIdentifiable`
Return the ID for this 'identifiable' object. The returned ID should be unique within its namespace. May return `null`.

Specified by:
  `getID` in interface `IIdentifiable`
Returns:
  the ID for this identifiable object. May return `null`.